padlkrng.h File Reference

Classes for VIA Padlock RNG. More...

Go to the source code of this file.

## Classes

class | PadlockRNG_Err
| Exception thrown when a PadlockRNG generator encounters a generator related error. More...
class | PadlockRNG
| Hardware generated random numbers using VIA XSTORE. More...

## Detailed Description

Classes for VIA Padlock RNG.

Since
  Crypto++ 6.0

See also
  VIA Padlock on the Crypto++ wiki

Definition in file padlkrng.h.